> For the complete documentation index, see [llms.txt](https://docs.overdare.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.overdare.com/development/api-reference/datatype/collisionresponseparams.md).

# CollisionResponseParams

## Overview

CollisionResponseParams is a configuration object that defines the response behavior for each collision channel.

## Constructors

### new

Creates a new CollisionResponseParams instance.

#### Parameters

#### Return

| `CollisionResponseParams` | The created CollisionResponseParams. |
| ------------------------- | ------------------------------------ |

#### Code Samples

## Properties

### ResponseArray

`Array`

The list of response settings for each collision channel.

#### Code Samples

## Methods

### AddResponseToArray

Adds a response behavior for a specific collision channel.

#### Parameters

| `Enum.CollisionChannel` Channel   | The collision channel to configure a response for.       |
| --------------------------------- | -------------------------------------------------------- |
| `Enum.CollisionResponse` Response | The collision response behavior to apply to the channel. |

#### Return

| `CollisionResponseParams` | The updated CollisionResponseParams object. |
| ------------------------- | ------------------------------------------- |

#### Code Samples

### RemoveAllResponses

Clears all collision response settings.

#### Parameters

#### Return

| `CollisionResponseParams` | The reset CollisionResponseParams object. |
| ------------------------- | ----------------------------------------- |

#### Code Samples

### RemoveReponseFromArray

Removes the response setting for a specific collision channel.

#### Parameters

| `Enum.CollisionChannel` InChannel | The collision channel whose response setting should be removed. |
| --------------------------------- | --------------------------------------------------------------- |

#### Return

| `CollisionResponseParams` | The updated CollisionResponseParams object. |
| ------------------------- | ------------------------------------------- |

#### Code Samples

## Events


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.overdare.com/development/api-reference/datatype/collisionresponseparams.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
